Subject: Re: WARNING: at net/sched/sch_generic.c:219 dev_watchdog+0xfe/0x17e() with tg3 network

From: Willy Tarreau <[email-masked]>
Date: Tue, 25 Nov 2008 06:31:28 +0100

On Mon, Nov 24, 2008 at 05:52:23PM -0800, Matt Carlson wrote:
(...)
> > tg3: eth0: transmit timed out, resetting
> > tg3: DEBUG: MAC_TX_STATUS[0000000b] MAC_RX_STATUS[00000006]
> > tg3: DEBUG: RDMAC_STATUS[00000000] WDMAC_STATUS[00000008]
> > tg3: tg3_stop_block timed out, ofs=1400 enable_bit=2
> > tg3: tg3_stop_block timed out, ofs=c00 enable_bit=2
> > tg3: tg3_stop_block timed out, ofs=4c00 enable_bit=2
> > tg3: eth0: Link is down.
> > tg3: eth0: Link is up at 100 Mbps, full duplex.
> > tg3: eth0: Flow control is on for TX and on for RX.
> > 
> > The ease with which I reproduce it here clearly indicates that this is
> > related to the switch, probably just the fact that it is at 100 Mbps.
> > Unfortunately this evening I must go, but I still have one 100 Mbps
> > switch somewhere at home, I'll reproduce the same test ASAP in order
> > to bisect the issue.
> > 
> > Regards,
> > Willy
> 
> Does turning off flow control help at all?

I have not tested but I will. I hope to be able to trigger the problem
on other similar switches, because I'm only once a week connected to
the culprit...

Regards,
Willy